Bug 1458247 - Review Request: translate-shell - a command-line online translator
Summary: Review Request: translate-shell - a command-line online translator
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitaly Zaitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-02 11:48 UTC by Vasiliy Glazov
Modified: 2017-06-06 12:29 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-06 12:29:02 UTC
vitaly: fedora-review+


Attachments (Terms of Use)

Description Vasiliy Glazov 2017-06-02 11:48:39 UTC
Spec URL: https://raw.githubusercontent.com/RussianFedora/translate-shell/master/translate-shell.spec
SRPM URL: http://koji.russianfedora.pro/kojifiles/packages/translate-shell/0.9.6.4/1.fc27/src/translate-shell-0.9.6.4-1.fc27.src.rpm

Description:
Translate Shell (formerly Google Translate CLI) is a command-line
translator powered by Google Translate (default), Bing Translator,
Yandex.Translate and Apertium.

It has great functional and simple cli interface.

Comment 1 Vitaly Zaitsev 2017-06-02 12:56:32 UTC
I will review this package.

Comment 2 Vasiliy Glazov 2017-06-03 03:10:26 UTC
Spec URL: https://raw.githubusercontent.com/RussianFedora/translate-shell/master/translate-shell.spec
SRPM URL: http://koji.russianfedora.pro/kojifiles/work/tasks/9617/49617/translate-shell-0.9.6.4-2.fc27.src.rpm

Patched Makefile to correct install path and remove build during install. Clean spec.

Comment 3 Vitaly Zaitsev 2017-06-03 13:31:02 UTC
Automatic check results:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 37 files have unknown license. Detailed
     output of licensecheck in /home/vitaly/1458247-translate-
     shell/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: translate-shell-0.9.6.4-2.fc27.noarch.rpm
          translate-shell-0.9.6.4-2.fc27.src.rpm
translate-shell.src:26: W: rpm-buildroot-usage %prep sed -i "s|/usr/local|%{buildroot}%{_prefix}|" Makefile
translate-shell.src: E: specfile-error warning: bogus date in %changelog: Thu Jun 02 2017 Vasiliy N. Glazov <vascom2@gmail.com> 0.9.6.4-2
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
translate-shell (rpmlib, GLIBC filtered):
    /usr/bin/bash
    curl
    fribidi
    gawk
    rlwrap



Provides
--------
translate-shell:
    translate-shell



Source checksums
----------------
https://github.com/soimort/translate-shell/archive/v0.9.6.4.tar.gz :
  CHECKSUM(SHA256) this package     : 5ac8fd1a6b772750942f92665966ddf2b825594eb969770aabf16d7a83b3e6b9
  CHECKSUM(SHA256) upstream package : 5ac8fd1a6b772750942f92665966ddf2b825594eb969770aabf16d7a83b3e6b9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1458247 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Vitaly Zaitsev 2017-06-03 13:37:44 UTC
Manual checks:

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

Pass.

[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 37 files have unknown license. Detailed
     output of licensecheck in /home/vitaly/1458247-translate-
     shell/licensecheck.txt

Pass. But you should ask upstream to add Public Domain preamble to source files.

[ ]: Package contains no bundled libraries without FPC exception.

Pass.

[ ]: Changelog in prescribed format.

Pass.

[ ]: Sources contain only permissible code or content.

Pass.

[ ]: Package contains desktop file if it is a GUI application.

Pass. N/a.

[ ]: Development files must be in a -devel package

Pass.

[ ]: Package uses nothing in %doc for runtime.

Pass.

[ ]: Package consistently uses macros (instead of hard-coded directory
     names).

Pass.

[ ]: Package is named according to the Package Naming Guidelines.

Pass.

[ ]: Package does not generate any conflict.

Pass.

[ ]: Package obeys FHS, except libexecdir and /usr/target.

Pass.

[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

Pass.

[ ]: Requires correct, justified where necessary.

Pass.

[ ]: Spec file is legible and written in American English.

Pass.

[ ]: Package contains systemd file(s) if in need.

Pass. N/a.

[ ]: Package is not known to require an ExcludeArch tag.

Pass. N/a.

[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.

Pass.

[ ]: Package complies to the Packaging Guidelines

Pass.

Comment 5 Vitaly Zaitsev 2017-06-03 13:40:29 UTC
You should fix this rpmlint warnings:

translate-shell.src:26: W: rpm-buildroot-usage %prep sed -i "s|/usr/local|%{buildroot}%{_prefix}|" Makefile
translate-shell.src: E: specfile-error warning: bogus date in %changelog: Thu Jun 02 2017 Vasiliy N. Glazov <vascom2@gmail.com> 0.9.6.4-2


I think this warnings can be fixed during import to SCM. Review complete.

Comment 6 Gwyn Ciesla 2017-06-06 12:22:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/translate-shell


Note You need to log in before you can comment on or make changes to this bug.